## org.jfree.report
Interface DataSet

All Known Subinterfaces:
  DataRow, ReportData

All Known Implementing Classes:
  EmptyReportData, ExpressionDataRow, FastGlobalView, GlobalView, ImportedVariablesDataRow, ParameterDataRow, ReportDataRow, SQLReportData, StaticDataRow, TableReportData

    public interface DataSet

A dataset is a one-dimensional collection of data items. Its main purpose is to describe parameter sets.

Author:
  Thomas Morgner

Method Summary
`java.lang.Object` `get(int column)`
`int` `getColumnCount()`
`java.lang.String` `getColumnName(int column)`

Method Detail

### getColumnCount

    int getColumnCount()
                       throws DataSourceException

  Throws:
    `DataSourceException`

### getColumnName

    java.lang.String getColumnName(int column)
                                   throws DataSourceException

  Throws:
    `DataSourceException`

### get

    java.lang.Object get(int column)
                         throws DataSourceException

  Throws:
    `DataSourceException`